# \BatchApi

All URIs are relative to *https://api.browshot.com/api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**BatchCeatePost**](BatchApi.md#BatchCeatePost) | **Post** /batch/ceate | Requests thousands of screenshtos at once
[**BatchInfoGet**](BatchApi.md#BatchInfoGet) | **Get** /batch/info | Get the batch status


# **BatchCeatePost**
> []Batch BatchCeatePost($instanceId, $file, $size, $name, $width, $height, $delay, $flashDelay, $screenWidth, $screenHeight, $priority, $referer, $postData, $cookie, $script, $details, $html, $maxWait, $headers, $format, $shots, $shotInterval)

Requests thousands of screenshtos at once

Get hundreds or thousands of screenshots from a text file. You can use this API call or the dashboard. Unlike the other API calls, you must issue a POST request with the Content-Type \"multipart/form-data\" in order to upload the text file. The text file must contain the list of URLs to request, 1 URL per line. Failed screenshots will be tried up to 3 times before giving up. 


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **instanceId** | **int32**| instance ID to use | 
 **file** | ***os.File**| text file to use | [optional] 
 **size** | **string**| screenshots size - \&quot;screen\&quot; (default) or \&quot;page\&quot; | [optional] [default to screen]
 **name** | **string**| name of the batch | [optional] 
 **width** | **int32**| thumbnail width. | [optional] [default to 1024]
 **height** | **int32**| thumbnail height | [optional] 
 **delay** | **int32**| number of seconds to wait after the page has loaded. This is used to let JavaScript run longer before taking the screenshot. Use delay&#x3D;0 to take screenshots faster. | [optional] [default to 5]
 **flashDelay** | **int32**| number of seconds to wait after the page has loaded if Flash elements are present. Use flash_delay&#x3D;0 to take screenshots faster. | [optional] [default to 10]
 **screenWidth** | **int32**| width of the browser window. For desktop browsers only. | [optional] [default to 1024]
 **screenHeight** | **int32**| height of the browser window. For desktop browsers only. (Note: full-page screenshots can have a height of up to 15,000px) | [optional] [default to 768]
 **priority** | **int32**| assign priority to the screenshot (for private instances only) | [optional] 
 **referer** | **string**| use a custom referrer header - paid screenshots only | [optional] 
 **postData** | **string**| send a POST requests with post_data, useful for filling out forms - paid screenshots only | [optional] 
 **cookie** | **string**| set a cookie for the URL requested (see Custom POST Data, Referer and Cookie) Cookies should be separated by a ; - paid screenshots only | [optional] 
 **script** | **string**| URL of javascript file to execute after the page load event | [optional] 
 **details** | **int32**| level of information available with screenshot/info | [optional] [default to 2]
 **html** | **int32**| saves the HTML of the rendered page which can be retrieved by the API call screenshot/html. This feature costs *1 credit* per screenshot. | [optional] [default to 0]
 **maxWait** | **int32**| maximum number of seconds to wait before triggering the PageLoad event. Note that delay will still be used. (default: 0 &#x3D; disabled) | [optional] [default to 0]
 **headers** | **string**| any custom HTTP headers. (Not supported with Internet Explorer) | [optional] 
 **format** | **string**| image as PNG or JPEG | [optional] [default to png]
 **shots** | **int32**| take multiple screenshots of the same page. This costs 1 additional credit for every 2 additional screenshots. | [optional] [default to 1]
 **shotInterval** | **int32**| number of seconds between 2 screenshots | [optional] [default to 5]

### Return type

[**[]Batch**](Batch.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: multipart/form-data
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **BatchInfoGet**
> Batch BatchInfoGet($id)

Get the batch status

Get the status of a batch requested through the API or through the dashboard. 


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int32**| batch ID | 

### Return type

[**Batch**](Batch.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

